/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.DwTestPointDao;
import net.northking.cctp.dw.db.service.DwTestPointService;
import net.northking.cctp.dw.db.entity.DwTestPoint;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.saas.db.TenantEntityService;

import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import net.northking.cctp.dw.dto.MtTestPointStatisticsDetailDto;
import net.northking.cctp.dw.dto.MtTestPointSynDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * dw库测试点列表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-01-27 16:05:09  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "DwTestPointServiceImpl")
public class DwTestPointServiceImpl extends TenantEntityService<DwTestPoint> implements DwTestPointService
{
private static final Logger logger = LoggerFactory.getLogger(DwTestPointServiceImpl.class);

  private final DwTestPointDao dwTestPointDao;

  public DwTestPointServiceImpl(DwTestPointDao dwTestPointDao) {this.dwTestPointDao = dwTestPointDao;}

  public BasicDao<DwTestPoint> getDao() {return dwTestPointDao;}

  public DwTestPoint createEntity() { return new DwTestPoint();}

  @Override
  public void insertByBatchIgnore(List<MtTestPointSynDto> inList) {
    dwTestPointDao.insertByBatchIgnore(inList);
  }

  @Override
  public List<MtTestPointStatisticsDetailDto> findTestPointStatistics(ChartDataGeneQueryDto chartDataGeneQueryDto) {
    return dwTestPointDao.findTestPointStatistics(chartDataGeneQueryDto);
  }

  @Override
  public List<DwTestPoint> findProIdList() {
    return dwTestPointDao.findProIdList();
  }

}

